[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Consider blocking svn2cl



On Sun, 2012-07-15 at 17:26 +0200, Cyril Brulebois wrote:
> assuming that by squeeze you actually meant wheezy:

Hmm, yeah. I always get the names confused. Sorry about that.

> svn2cl is installable in wheezy, there's no needed for subversion 1.7.

Indeed it is but then subversion-tools would end up being removed. That
means that users would have to choose between subversion-tools (shipping
svn2cl 0.11) or the svn2cl package (0.13).

> Well, if you depended on subversion (>= 1.7), migration to testing would
> be “linked” through this dependency.

Ok, but the dependency is not otherwise strictly needed for technical
reasons.

> I'm not sure what you want us to do here.

I guess it depends on where you think the subversion package is headed.
If 1.7 will will be part of wheezy (1) not much else will need to
happen. If it will ship with 1.6, I think either the svn2cl package will
have to be removed (2) to avoid user confusion or the svn2cl component
would have to be removed from the subversion-tools package (3) in
wheezy.

My personal preference would be 1, 3, 2 but for all of these input from
the release team is needed and at least for option 3 cooperation from
the subversion packagers is needed (Cc'd).

Thanks,

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --

Attachment: signature.asc
Description: This is a digitally signed message part


Reply to: